# decodeSeed | xrpl
Documentation for xrpl

# Function decodeSeed

- decodeSeed(seed: string, opts?: {
  expectedLength: number;
  versionTypes: ["ed25519", "secp256k1"];
  versions: (number | number[])[];
  }): {
  bytes: Buffer;
  type: "ed25519" | "secp256k1" | null;
  version: number[];
  }

- #### Parameters

  - ##### seed: string

  - ##### `Optional` opts: {
    expectedLength: number;
    versionTypes: ["ed25519", "secp256k1"];
    versions: (number | number[])[];
    }

    - ##### expectedLength: number

    - ##### versionTypes: ["ed25519", "secp256k1"]

    - ##### versions: (number | number[])[]

  #### Returns {
  bytes: Buffer;
  type: "ed25519" | "secp256k1" | null;
  version: number[];
  }

  - ##### bytes: Buffer

  - ##### type: "ed25519" | "secp256k1" | null

  - ##### version: number[]

  - Defined in node_modules/ripple-address-codec/dist/xrp-codec.d.ts:47

Generated using TypeDoc